Bug 1656980 - Is 'pcs resource show' deprecated?
Summary: Is 'pcs resource show' deprecated?
Keywords:
Status: CLOSED DUPLICATE of bug 1656953
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: pcs
Version: 8.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: 8.0
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 19:23 UTC by Corey Marthaler
Modified: 2018-12-07 08:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 08:20:17 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Corey Marthaler 2018-12-06 19:23:03 UTC
Description of problem:
It appears "resource show" has been deprecated in rhel8, was there an announcement for this? Also I noticed it's still listed in the rhel8 man page under examples, but no longer as an option for resource.


RHEL7:  pcs-0.9.165-6.el7.x86_64
   resource
       [show [<resource id>] | --full | --groups | --hide-inactive]
              Show  all  currently configured resources or if a resource is specified show the options for the configured resource.  If --full is specified, all configured resource options
              will be displayed.  If --groups is specified, only show groups (and their resources).  If --hide-inactive is specified, only show active resources.

[...]

EXAMPLES
       Show all resources
              # pcs resource show

       Show options specific to the 'VirtualIP' resource
              # pcs resource show VirtualIP


[root@mckinley-02 ~]# pcs resource show
 Clone Set: locking-clone [locking]
     Started: [ mckinley-01 mckinley-02 mckinley-03 ]
[root@mckinley-02 ~]# pcs resource status > /dev/null
[root@mckinley-02 ~]# echo $?
1


RHEL8:  pcs-0.10.1-1.el8.x86_64
   resource
       [status [--hide-inactive]]
              Show status of all currently configured resources. If --hide-inactive is specified, only show active resources.

[...]

EXAMPLES
       Show all resources
              # pcs resource show

       Show options specific to the 'VirtualIP' resource
              # pcs resource show VirtualIP


[root@hayes-03 ~]# pcs resource show > /dev/null
[root@hayes-03 ~]# echo $?
1
[root@hayes-03 ~]# pcs resource status
 Clone Set: locking-clone [locking]
     Started: [ hayes-03 ]





Version-Release number of selected component (if applicable):
[root@hayes-03 ~]# rpm -qi pcs
Name        : pcs
Version     : 0.10.1
Release     : 1.el8
Architecture: x86_64
Install Date: Thu 06 Dec 2018 01:18:54 PM CST
Group       : System Environment/Base
Size        : 14882217
License     : GPLv2 and ASL 2.0 and MIT
Signature   : (none)
Source RPM  : pcs-0.10.1-1.el8.src.rpm
Build Date  : Mon 26 Nov 2018 03:52:52 AM CST

Comment 1 Tomas Jelinek 2018-12-07 08:20:17 UTC
'pcs resource show' and 'pcs stonith show' commands have been replaced by 'pcs resource status', 'pcs resource config', 'pcs stonith status' and 'pcs stonith config'. This has been announced:
* in the upstream changelog [0], which is included in pcs packages /usr/share/doc/pcs/CHANGELOG.md
* in the upstream mailing list [1]
* in rhel8 rebase bz bz1553736

It will also be changed in documentation, bz has been already filed: bz1654280

Pcs manpage will be fixed: bz1656953


[0]: https://github.com/ClusterLabs/pcs/commit/e32c53aa236eeae8d2ddabbc101df9068c7f6342#diff-4ac32a78649ca5bdd8e0ba38b7006a1eR162
[1]: https://lists.clusterlabs.org/pipermail/users/2018-November/015956.html

*** This bug has been marked as a duplicate of bug 1656953 ***


Note You need to log in before you can comment on or make changes to this bug.